Bug 214379 - sysutils/py-ploy_fabric: Fails to package, RUN_DEPENDS on paramiko which conflicts with new py-fabric->paramiko1
Summary: sysutils/py-ploy_fabric: Fails to package, RUN_DEPENDS on paramiko which conf...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL: http://beefy11.nyi.freebsd.org/data/h...
Keywords: regression
Depends on: 213893
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-10 07:19 UTC by Kubilay Kocak
Modified: 2017-07-17 06:28 UTC (History)
1 user (show)

See Also:


Attachments
head-amd64-default package failure (13.41 KB, text/plain)
2016-11-10 07:19 UTC, Kubilay Kocak
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kubilay Kocak freebsd_committer 2016-11-10 07:19:21 UTC
Created attachment 176844 [details]
head-amd64-default package failure

It appears ports r425687 caused sysutils/py-ploy_fabric to fail to package due to:

- sysutils/py-ploy_fabric -> sysutils/py_ploy -> security/paramiko, AND
- sysutils/py-ploy_fabric -> devel/py-fabric -> security/paramiko1

Since there is a common dependency, sysutils/py_ploy should be updated to use paramiko1 as well.
Comment 1 Kubilay Kocak freebsd_committer 2016-11-10 07:21:52 UTC
It's probably worth adding a comment in relevant ports so that future updates to fabric/paramiko don't cause similar regressions.
Comment 2 commit-hook freebsd_committer 2016-11-12 15:44:10 UTC
A commit references this bug:

Author: lwhsu
Date: Sat Nov 12 15:43:19 UTC 2016
New revision: 425962
URL: https://svnweb.freebsd.org/changeset/ports/425962

Log:
  - Change RUN_DEPENDS to security/py-paramiko1 to make sysutils/py-ploy_fabric
    successfully pacakge
  - Remove dependency on devel/py-argparse

  PR:		214379
  Reported by:	koobs

Changes:
  head/sysutils/py-ploy/Makefile
Comment 3 commit-hook freebsd_committer 2017-07-16 11:28:42 UTC
A commit references this bug:

Author: koobs
Date: Sun Jul 16 11:28:01 UTC 2017
New revision: 445996
URL: https://svnweb.freebsd.org/changeset/ports/445996

Log:
  sysutils/py-ploy: Switch to paramiko (2.x)

  Chase the devel/py-fabric update made in r445866 [1], which switched the
  paramiko dependency from security/paramiko1 to security/paramiko (2.x), by
  updating this port to use paramiko 2.x as well.

  This fixes an installation conflict and package failure of
  sysutils/py_ploy_fabric, due to two ports, both dependencies of
  py-ploy_fabric trying to install different versions of paramiko:

    pkg-static: py27-paramiko-2.0.5 conflicts with py27-paramiko1-1.18.2 (installs files into the same place).
    Problematic file: /usr/local/lib/python2.7/site-packages/paramiko/__init__.py

  This has happened before [2][3] in the opposite direction (paramiko ->
  paramiko1)

  [1] https://svnweb.freebsd.org/changeset/ports/445866
  [2] https://svnweb.freebsd.org/changeset/ports/425687
  [3] https://bugs.freebsd.org/214379

  PR:		214379 [3]
  Reported by:	pkg-fallout

Changes:
  head/sysutils/py-ploy/Makefile
Comment 4 Kubilay Kocak freebsd_committer 2017-07-16 11:30:19 UTC
Originally fixed in ports r425962 (comment 2), I just made it happen again, and fixed it (comment 3)
Comment 5 commit-hook freebsd_committer 2017-07-17 06:28:01 UTC
A commit references this bug:

Author: koobs
Date: Mon Jul 17 06:27:45 UTC 2017
New revision: 446054
URL: https://svnweb.freebsd.org/changeset/ports/446054

Log:
  sysutils/ansible1: Switch to paramiko (2.x)

  Follow up of ports r445996. This was missed due to seperate original commits
  [1][2] with no PR: references and insufficient QA on my part which would have
  picked it up.

  This fixes the second packaging error after ports r445866 due to conflicting
  paramiko1/paramiko ports, because of:

  - sysutils/py-ploy_fabric -> sysutils/py_ploy -> security/paramiko
  - sysutils/py-ploy_fabric -> devel/py-fabric -> security/paramiko1 (r445866)
  - sysutils/bsdploy -> sysutils/ansible1 -> security/py-paramiko1 (this fix)

   [1] https://svnweb.freebsd.org/changeset/ports/425687
   [2] https://svnweb.freebsd.org/changeset/ports/425989

  PR: 214379

Changes:
  head/sysutils/ansible1/Makefile